<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Visualizar Categoria de Loja", "active_page" => "categorias"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>

<?php 

	$id_categoria_loja = (int) encrypt_decode(filter_input(INPUT_GET, "categoria", FILTER_SANITIZE_STRING));
	$id_subcategoria_loja = !empty($_GET["subcategoria"]) ? (int) encrypt_decode(filter_input(INPUT_GET, "subcategoria", FILTER_SANITIZE_STRING)) : null;

	$model = new Model();

	$result = $model->query("
		SELECT * FROM categoria_loja 
		WHERE 
			id_categoria_loja = :id AND 
			status_categoria_loja = 'S'
	", [
		":id" => $id_categoria_loja
	]);

	$dados = $result->fetch();

?>

<h4 class="mb-3">
	<i class="fa-regular fa-th-list"></i> Visualizar Categoria de Loja
</h4>

<div class="content-box mb-3">
	<h5 class="mb-3">Categoria</h5>

	<table class="table table-bordered table-striped">
		<tr>
			<th class="align-middle">Nome:</th>
		</tr>
		<tr>
			<td class="align-middle">
				<?php echo $dados->nome_categoria_loja; ?>
			</td>
		</tr>
		<tr>
			<th class="align-middle">Ícone:</th>
		</tr>
		<tr>
			<td class="align-middle">
				<i class="<?php echo $dados->icone_categoria_loja; ?>" style="font-size: 23px;"></i>
			</td>
		</tr>
	</table>
</div>

<?php if (!empty($id_subcategoria_loja)): ?>
	<?php 

		$result = $model->query("
			SELECT * FROM subcategoria_loja 
			WHERE 
				id_subcategoria_loja = :id 
		", [
			":id" => $id_subcategoria_loja
		]);

		$dados_sub = $result->fetch();

	?>

	<div class="content-box mb-3">
		<h5 class="mb-3">Subcategoria Pai</h5>

		<table class="table table-bordered table-striped">
			<tr>
				<th class="align-middle">Nome:</th>
			</tr>
			<tr>
				<td class="align-middle">
					<?php echo $dados_sub->nome_subcategoria_loja; ?>
				</td>
			</tr>
		</table>
	</div>
<?php endif; ?>

<div class="content-box">
	<div class="row align-items-center mb-3">
		<div class="col-md-6">
			<h5 class="mb-0">Subcategorias</h5>
		</div>
		<div class="col-md-6 text-right">
			<button type="button" id="adicionar-subcategoria-loja" class="btn btn-primary">
				<i class="fa-regular fa-plus"></i> Adicionar
			</button>
		</div>
	</div>

	<div class="table-responsive">
		<table class="table table-sm table-hover table-striped">
			<thead class="thead-inverse">
				<tr>
					<th class="align-middle text-left" style="width: 95%;">Nome</th>
					<th class="align-middle text-center" style="width: 5%;">Opções</th>
				</tr>
			</thead>
			<tbody>
				<?php 

					$model = new Model();

					$maximo = 15;

					$query = "";

					if (isset($_GET["pag"])) {
						$pagina = filter_input(INPUT_GET, "pag", FILTER_SANITIZE_NUMBER_INT);
					}
					else{
						$pagina = 1;
					}

					if (!empty($id_subcategoria_loja)) {
						$query .= " AND id_subcategoria_loja_pai = ".$id_subcategoria_loja;
					}
					else{
						$query .= " AND id_categoria_loja = ".$id_categoria_loja;
					}

					$inicio = (($maximo*$pagina)-$maximo);

					$busca = $model->query("
						SELECT * FROM subcategoria_loja 
						WHERE 
							status_subcategoria_loja = 'S' 
							$query 
						ORDER BY 
							nome_subcategoria_loja DESC 
						LIMIT 
							:maximo OFFSET :inicio
					", [
						":maximo" => $maximo, 
						":inicio" => $inicio
					]);

					$n = ($pagina*$maximo)-$maximo + 1;

					foreach ($busca->fetchAll() as $dados):

				?>

					<tr>
						<td class="align-middle text-left">
							<a href="<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))."&subcategoria=".urlencode(encrypt_encode($dados->id_subcategoria_loja))); ?>">
								<?php echo $dados->nome_subcategoria_loja; ?>
							</a>	
						</td>
						
						<td class="align-middle text-center">
							<div class="d-inline-flex">
								<div class="mx-2">
									<button type="submit" class="btn btn-warning btn-square btn-editar" data-value="<?php echo encrypt_encode($dados->id_subcategoria_loja); ?>" data-toggle="tooltip" data-placement="bottom" title="Editar">
										<i class="fa-regular fa-pencil-alt"></i>
									</button>
								</div>
							
								<div class="mx-auto">
									<button type="button" class="btn btn-danger btn-square btn-excluir" data-value="<?php echo encrypt_encode($dados->id_subcategoria_loja); ?>" data-status="N" data-toggle="tooltip" data-placement="bottom" title="Excluir">
										<i class="fa-regular fa-trash-alt"></i>
									</button>
								</div>
							</div>
						</td>
					</tr>	
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>

	<ul class="pagination justify-content-center" style="margin-bottom: -15px;">
		<?php 

			$busca = $model->query("
				SELECT * FROM subcategoria_loja  
				WHERE 
					status_subcategoria_loja = 'S' 
					$query 
			");

			$total  = $busca->rowCount();

			$total_paginas = ceil($total/$maximo);
						   
			if ($pagina <= $total_paginas and $pagina > 1) {
 				echo '<li class="page-item"><a href="?'.(!empty($pesquisa) ? "pesquisa=".$pesquisa."&" : "").'pag='.($pagina-1).'" class="page-link"><span aria-hidden="true">&laquo;</span></a> </li>';
			}

			echo ' <li class="page-item active"><p class="page-link">'.$pagina.'</p></li> ';

			if ($pagina < $total_paginas) {	
				echo '<li class="page-item"><a href="?'.(!empty($pesquisa) ? "pesquisa=".$pesquisa."&" : "").'pag='.($pagina+1).'" class="page-link"><span aria-hidden="true">&raquo;</span></a></li> ';
			}
			
		?>
	</ul>

	<?php if (!empty($id_subcategoria_loja)): ?>
		<a href="<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))); ?>" class="btn btn-secondary"><i class="fa-regular fa-arrow-left"></i> Voltar</a>
	<?php else: ?>
		<a href="<?php echo show_link("/categorias-lojas/"); ?>" class="btn btn-secondary"><i class="fa-regular fa-arrow-left"></i> Voltar</a>
	<?php endif; ?>
</div>

<!-- Modal Cadastrar Subcategoria -->
<div class="modal fade" id="modal-cadastrar-subcategoria-loja" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-plus"></i> Cadastrar Subcategoria
				</h5>
			</div>
			<form action="<?php echo show_link("/cadastrar-subcategoria-loja/"); ?>" method="post">
				<div class="modal-body">
					<div class="form-group">
						<label for="nome-subcategoria-loja">Nome<span class="text-danger">*</span></label>
						<input type="text" name="nome_subcategoria_loja" id="nome-subcategoria-loja" class="form-control" required>
					</div>
				</div>
				<div class="modal-footer">
					<input type="hidden" name="id_categoria_loja" value="<?php echo $id_categoria_loja; ?>">
					<input type="hidden" name="id_subcategoria_loja_pai" value="<?php echo $id_subcategoria_loja; ?>">

					<button type="submit" class="btn btn-primary">
						<i class="fa-regular fa-save"></i> Salvar
					</button>
					<button type="button" class="btn btn-secondary" data-dismiss="modal">
						<i class="fa-regular fa-times"></i> Fechar
					</button>
				</div>
			</form>
		</div>
	</div>
</div>

<!-- Modal Editar Subcategoria -->
<div class="modal fade" id="modal-editar-subcategoria-loja" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-edit"></i> Editar Subcategoria
				</h5>
			</div>
			<form action="<?php echo show_link("/editar-subcategoria-loja/"); ?>" method="post">
				<div class="modal-body">
					<div class="form-group">
						<label for="nome-subcategoria-loja-2">Nome<span class="text-danger">*</span></label>
						<input type="text" name="nome_subcategoria_loja" id="nome-subcategoria-loja-2" class="form-control" required>
					</div>
				</div>
				<div class="modal-footer">
					<input type="hidden" name="id_subcategoria_loja" id="id-subcategoria-loja">
					<input type="hidden" name="id_categoria_loja" value="<?php echo $id_categoria_loja; ?>">
					<input type="hidden" name="id_subcategoria_loja_pai" value="<?php echo $id_subcategoria_loja; ?>">

					<button type="submit" class="btn btn-primary">
						<i class="fa-regular fa-save"></i> Salvar
					</button>
					<button type="button" class="btn btn-secondary" data-dismiss="modal">
						<i class="fa-regular fa-times"></i> Fechar
					</button>
				</div>
			</form>
		</div>
	</div>
</div>

<!-- Modal Excluir Subcategoria -->
<div class="modal fade" id="modal-excluir-subcategoria-loja" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title"><i class="fa-regular fa-exclamation-triangle"></i> Aviso</h5>
			</div>
			<div class="modal-body">
				<p id="modal-text">
					Tem certeza que deseja <strong class="text-danger">Excluir</strong> essa Subcategoria?
				</p>
			</div>
			<div class="modal-footer">
				<form action="<?php echo show_link("/excluir-subcategoria-loja/"); ?>" method="post">
					<input type="hidden" name="id_subcategoria_loja" id="input-subcategoria-loja-id" class="d-none" required>
					<input type="hidden" name="id_categoria_loja" value="<?php echo $id_categoria_loja; ?>">

					<button type="submit" class="btn btn-white">
						<i class="fa-regular fa-check"></i> Sim
					</button>
					<button type="button" class="btn btn-white" data-dismiss="modal">
						<i class="fa-regular fa-times"></i> Não
					</button>
				</form>
			</div>
		</div>
	</div>
</div>

<script>
	$("#adicionar-subcategoria-loja").click(function(){
		$("#modal-cadastrar-subcategoria-loja").modal("show");
	});

	$(".btn-editar").click(function(){
		var id_subcategoria_loja = $(this).data("value");

		$.ajax({
			type: "POST",
			data: {
				id_subcategoria_loja: id_subcategoria_loja
			},
			url: "<?php echo show_link("/obter-subcategoria-loja/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);

			if (result.status == true) {
				var data = result.dados[0];

				$("#nome-subcategoria-loja-2").val(data.nome_subcategoria_loja);

				$("#id-subcategoria-loja").val(id_subcategoria_loja);
				$("#modal-editar-subcategoria-loja").modal("show");
			}
			else{

			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});

	$(".btn-excluir").click(function(){
		var id_subcategoria_loja = $(this).data("value");

		$("#input-subcategoria-loja-id").val(id_subcategoria_loja);
		$("#modal-excluir-subcategoria-loja").modal("show");
	});

	if ($_GET("cadastro_sub") == "true") {
		$.toast({
			heading: "Aviso",
			text: "Dados Cadastrados com Sucesso!",
			icon: "success",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))); ?>");
	}
	else if ($_GET("cadastro_sub") == "false") {
		$.toast({
			heading: "Aviso",
			text: "Erro ao Cadastrar os Dados!",
			icon: "error",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))); ?>");
	}

	if ($_GET("editar_sub") == "true") {
		$.toast({
			heading: "Aviso",
			text: "Dados Editados com Sucesso!",
			icon: "success",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))); ?>");
	}
	else if ($_GET("editar_sub") == "false") {
		$.toast({
			heading: "Aviso",
			text: "Erro ao Editar os Dados!",
			icon: "error",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))); ?>");
	}

	if ($_GET("excluir_sub") == "true") {
		$.toast({
			heading: "Aviso",
			text: "Dados Excluido com Sucesso!",
			icon: "success",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))); ?>");
	}
	else if ($_GET("excluir_sub") == "false") {
		$.toast({
			heading: "Aviso",
			text: "Erro ao Excluir os Dados!",
			icon: "error",
			loader: true
		});
		window.history.pushState("", "", "<?php echo show_link("/visualizar-categoria-loja/?categoria=".urlencode(encrypt_encode($id_categoria_loja))); ?>");
	}
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>